Bug 1007985 - [abrt] gpodder-2.20.3-1.fc19: model.py:660:_set_channel_id:AssertionError
[abrt] gpodder-2.20.3-1.fc19: model.py:660:_set_channel_id:AssertionError
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gpodder (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:0361c5953bc5ae2c69a9821c8cb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 12:47 EDT by Carlos Pèrez
Modified: 2015-02-17 12:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:10:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (998 bytes, text/plain)
2013-09-13 12:47 EDT, Carlos Pèrez
no flags Details
File: environ (1.39 KB, text/plain)
2013-09-13 12:47 EDT, Carlos Pèrez
no flags Details

  None (edit)
Description Carlos Pèrez 2013-09-13 12:47:02 EDT
Version-Release number of selected component:
gpodder-2.20.3-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/gpodder
executable:     /usr/bin/gpodder
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
model.py:660:_set_channel_id:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gpodder/gui.py", line 2931, in update_feed_cache_finish_callback
    self.download_episode_list(episodes)
  File "/usr/lib/python2.7/site-packages/gpodder/gui.py", line 3374, in download_episode_list
    self.download_queue_manager.add_task(task, force_start)
  File "/usr/lib/python2.7/site-packages/gpodder/download.py", line 437, in add_task
    task.episode.reload_from_db()
  File "/usr/lib/python2.7/site-packages/gpodder/model.py", line 683, in reload_from_db
    self.update_from_dict(d or {})
  File "/usr/lib/python2.7/site-packages/gpodder/model.py", line 111, in update_from_dict
    setattr(self, k, d[k])
  File "/usr/lib/python2.7/site-packages/gpodder/model.py", line 660, in _set_channel_id
    assert self.channel.id == channel_id
AssertionError

Local variables in innermost frame:
channel_id: 6
self: <gpodder.model.PodcastEpisode object at 0x7f808c0c9490>

Potential duplicate: bug 916801
Comment 1 Carlos Pèrez 2013-09-13 12:47:06 EDT
Created attachment 797443 [details]
File: backtrace
Comment 2 Carlos Pèrez 2013-09-13 12:47:09 EDT
Created attachment 797444 [details]
File: environ
Comment 3 Fedora End Of Life 2015-01-09 14:49:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:10:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.